unit proman_datenmodul;

interface

uses
  Vcl.Forms,
  WEBLib.Forms,
  proMan,
  System.SysUtils, System.Classes, JS,
  Web,
  WEBLib.Dialogs,
  WEBLib.Modules, Sphinx.WebLogin;

type
  TdmProMan = class(TWebDataModule)
    SphinxWebLogin: TSphinxWebLogin;
    procedure WebDataModuleCreate(Sender: TObject);
    procedure SphinxWebLoginUserLoggedIn(Args: TUserLoggedInArgs);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    UserArgs: TUserLoggedInArgs;
  end;

var
  dmProMan: TdmProMan;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}

procedure TdmProMan.SphinxWebLoginUserLoggedIn(Args: TUserLoggedInArgs);
begin
  userArgs:=Args;
  if sphinxWebLogin.IsLoggedIn then
    Application.CreateForm(TStartForm, StartForm);
end;

procedure TdmProMan.WebDataModuleCreate(Sender: TObject);
begin
  userArgs:=nil;
  if (not SphinxWebLogin.IsLoggedIn) then
    with SphinxWebLogin do
      begin
      {
        Authority:='http://178.254.40.246:2001/app/sphinx';
        ClientId:='web';
        RedirectUri:='http://178.254.40.246:2001/app/pm/';
        scope:='openid email';
        onUserLoggedIn:=SphinxWebLoginUserLoggedIn;
        Login;
      }
        Login;
        login;
      end;
   if sphinxWebLogin.IsLoggedIn then
     Application.CreateForm(TStartForm, StartForm);
end;

end.
