unit uFrame;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls,
  WEBLib.StdCtrls, Vcl.Imaging.pngimage, WEBLib.Controls, WEBLib.ExtCtrls;

type
  TMenuFrame = class(TFrame)
    WebLabel3: TWebLabel;
    WebLabel1: TWebLabel;
    WebLabel2: TWebLabel;
    WebLabel4: TWebLabel;
    WebLabel5: TWebLabel;
    WebLabel6: TWebLabel;
    lbl_login: TWebLabel;
    WebLabel9: TWebLabel;
    WebLabel10: TWebLabel;
    wlProfile: TWebLabel;
    WebLabel12: TWebLabel;
    WebLabel13: TWebLabel;
    lbl_username: TWebLabel;
    WebImageControl1: TWebImageControl;
    WebLabel7: TWebLabel;
    procedure WebLabel1Click(Sender: TObject);
    procedure WebLabel2Click(Sender: TObject);
    procedure wlProfileClick(Sender: TObject);
    procedure lbl_loginClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    frm: TForm;
    procedure LaunchForm(AInstanceClass: TFormClass);
  end;

implementation
{$R *.dfm}
Uses
  proman_datenmodul,
  proman,
  proman_user_profile,
//  proman_orders,
  web;

procedure TMenuFrame.LaunchForm(AInstanceClass: TFormClass);

  procedure FormCreated(AForm: TObject);
  begin
    (AForm as TForm).Show;
  end;

begin
  if Assigned(frm) then
  begin
    frm.Close;
    frm.Free;
  end;

  if Uppercase(Application.ActiveForm.ClassName) <> Uppercase(AInstanceClass.ClassName) then
  begin
    Application.CreateForm(AInstanceClass, 'body', frm, @FormCreated);
  end;
end;

procedure TMenuFrame.WebLabel1Click(Sender: TObject);
begin
  LaunchForm(TStartForm);
end;

procedure TMenuFrame.WebLabel2Click(Sender: TObject);
begin
//  LaunchForm(TOrdersForm);
end;

procedure TMenuFrame.wlProfileClick(Sender: TObject);
begin
  LaunchForm(TUserProfileForm);
end;

procedure TMenuFrame.lbl_loginClick(Sender: TObject);
begin
  if (not dmProMan.SphinxWebLogin.IsLoggedIn) then
    begin
      dmProMan.SphinxWEBLogin.Login;
      if dmProMan.SphinxWebLogin.IsLoggedIn then
        begin
          lbl_username.caption:=dmProMan.SphinxWebLogin.AuthResult.Profile.Email;
          lbl_login.caption:='Abmelden';
        end;
    end
  else
    begin
      dmProMan.SphinxWEBLogin.Logout;
      if (not dmProMan.SphinxWEBLogin.IsLoggedIn) then
        begin
          dmProMan.userArgs:=Nil;
          lbl_username.caption:='Bitte anmelden';
          lbl_login.caption:='Anmelden';
        end;
    end;
end;

end.
