unit proMan;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls,
  WEBLib.ExtCtrls, VCL.TMSFNCTypes, VCL.TMSFNCUtils, VCL.TMSFNCGraphics,
  VCL.TMSFNCGraphicsTypes, VCL.TMSFNCGridCell, VCL.TMSFNCGridOptions,
  VCL.TMSFNCCustomControl, VCL.TMSFNCCustomScrollControl, VCL.TMSFNCGridData,
  VCL.TMSFNCCustomGrid, VCL.TMSFNCGrid, Types, Vcl.Grids, WEBLib.Grids,
  WEBLib.Lists, WEBLib.WebCtrls,

  Vcl.Forms,
  uFrame;

type
  TStartForm = class(TWebForm)
    MenuFrame1: TMenuFrame;
    WebLabel1: TWebLabel;
    procedure WebFormShow(Sender: TObject);
    procedure WebFormDOMContentLoaded(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  StartForm: TStartForm;

implementation

{$R *.dfm}
uses
  proman_datenmodul;

procedure TStartForm.WebFormDOMContentLoaded(Sender: TObject);
begin
  if dmProMan.SphinxWebLogin.IsLoggedIn then
    menuframe1.lbl_username.caption:=dmProMan.SphinxWebLogin.AuthResult.Profile.Email;
end;

procedure TStartForm.WebFormShow(Sender: TObject);
begin
  if dmProMan.SphinxWebLogin.IsLoggedIn then
    begin
      menuframe1.lbl_username.caption:=dmProMan.SphinxWebLogin.AuthResult.Profile.Email;
      menuframe1.lbl_login.Caption:='Abmelden';
    end;
end;

end.
